﻿using System.Net;
using System.Net.Sockets;

namespace EonaCat.Network
{
    public class RemoteInfo
    {
        public bool IsTcp { get; set; }
        public bool HasEndpoint => EndPoint != null;
        public EndPoint EndPoint { get; set; }
        public byte[] Data { get; set; }
        public IPAddress Address => HasEndpoint ? ((IPEndPoint)EndPoint).Address : null;
        public int Port => HasEndpoint ? ((IPEndPoint)EndPoint).Port : 0;
        public Socket Socket { get; set; }
        public bool IsIpv6 { get; set; }
    }
}
